#include "stdafx.h"
#include <iostream>
#include <fstream>

using namespace std;

ifstream::pos_type size;
char * memblock;

char * filePath;



int main (int argc, char *argv[])
{

	if (argc != 4) {
		cout << "-2: Incorrect number of arguments";
		return 0;
	}

	filePath = argv[1];
	
	int readStart;
	int readCount;

	if(EOF == sscanf(argv[2], "%d", &readStart))
	{
	  cout << "-3: readStart argument must be an integer";
	  return 0;
	}	

	if(EOF == sscanf(argv[3], "%d", &readCount))
	{
	  cout << "-4: readCount argument must be an integer";
	  return 0;
	}

	ifstream file (filePath, ios::in|ios::binary|ios::ate);
	
	if (file.is_open()) {
		size = file.tellg();
		memblock = new char [size];
		file.seekg (0, ios::beg);
		file.read (memblock, size);
		file.close();

		int i;
		unsigned char c;
		int count = 0;
		bool prependSpace = false;

		if (readCount > 0) {
			for (i = readStart; i < size; i++) {			
				c = memblock[i];
				if (i > readStart) cout << " ";
				int d = c;
				cout << d;
				prependSpace = true;
				count++;

				if (count >= readCount) break;
			}
		}

		if (prependSpace) cout << " ";
		cout << "-1";

		delete[] memblock;
	} else {
		cout << "-5: Could not open file";
	}
	
	return 0;
}

